Bug 217022 - CVE-2006-6054 ext2_check_page denial of service
Summary: CVE-2006-6054 ext2_check_page denial of service
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,source=internet,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-23 08:17 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 17:57:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0436 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 9 2007-06-08 00:03:57 UTC

Description Marcel Holtmann 2006-11-23 08:17:01 UTC
From MOKB-12-11-2006:

http://projects.info-pull.com/mokb/MOKB-12-11-2006.html

The ext2 filesystem code fails to properly handle corrupted data structures,
leading to an exploitable denial of service issue when read operation is being
done on a crafted fs stream.

Comment 1 Linda Wang 2006-11-30 18:32:57 UTC
while Eric has the rhel4 one.

Comment 3 RHEL Product and Program Management 2007-01-13 01:25:13 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Jay Turner 2007-01-19 15:49:16 UTC
QE ack for RHEL4.5.

Comment 5 Ernie Petrides 2007-02-08 04:04:08 UTC
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.5.EL).


Comment 8 Red Hat Bugzilla 2007-06-11 17:57:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0436.html



Note You need to log in before you can comment on or make changes to this bug.